<%@ page contentType="text/html; charset=UTF-8" %>
<!DOCTYPE html>  
<html>
  <head>
    <meta charset="utf-8"/>

    <link rel="stylesheet" href="../js/jquery-ui-1.11.2.smoothness/jquery-ui.min.css" />
    <link rel="stylesheet" href="style.css" />

    <script src="../js/jquery-1.11.1.min.js"></script>
    <script src="../js/jquery-ui-1.11.2.smoothness/jquery-ui.js"></script>

    <script src="js-lib/Colour.js"></script>
    <script src="flag-processing.js"></script>

    <script>
      $(function() {
        $( "#progressBar" ).progressbar({
	      value: progressVal
        });

        if (!is_jsp_active) {
          var mess = "<div>Web server is not JSP active.  Unable to run flag comparison</div>";
          $('#flagArea').append(mess);
        }
      
        displayFlags(img_list,$('#flagArea'),$('#progressArea'),$('#progressBar'));

      });
    </script>


    <title>Display Flags</title>

  </head>

  <body>

    <div style="display: none;">

      <!-- 
	 Set up a fallback position in case this page is accessed outside
	 of a JSP context (i.e., the JSP blocks aren't executed) 
	-->
      <script>
	var is_jsp_active = false;
	var img_list = [ "Images/nz.gif" ];
      </script>

      <%@include file="flag-functions.jsp" %>

      <!-- If JSP active, sets 'is_jsp_active' to true -->
      <%@include file="list-flags.jsp" %>

    </div>

   <div id="progressArea" style="display: none;">
     <span id="loadingLabel">Loading: </span>
     <div id="progressBar"></div>
   </div>

   <div id="flagArea"></div>


    <script>


    </script>

  </body>

</html>
